Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

thanks for the report! I've published a new web build with exceptions enabled, and I reduced the .NET requirement from 4.x to 2.0, could you try that? I'm also on firefox (68.0.2) so I think it was most likely the .NET requirement..

I am working on an exe too, but it will take a little more time to get right.

Yes the bug is fix ;)